package com.propertyManagement.business.enums;

import com.siashan.toolkit.core.enums.IBaseEnum;

/**
 * 支付业务枚举
 *
 * @author liushuai
 * @date 2025-05-27
 */
public enum PayBizEnum implements IBaseEnum<String> {

    PRESTORE("PRESTORE","预存支付"),
    MAINTAIN("MAINTAIN","维修支付"),
    ;

    private String code;
    private String desp;

    PayBizEnum(String code, String desp){
        this.code = code;
        this.desp = desp;
    }

    public String getCode() {
        return this.code;
    }

    public String getDesp() {
        return this.desp;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setDesp(String desp) {
        this.desp = desp;
    }
}
